aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/dot_config/waybar/executable_wifi-toggle.sh
diff options
context:
space:
mode:
Diffstat (limited to 'dot_config/waybar/executable_wifi-toggle.sh')
-rw-r--r--dot_config/waybar/executable_wifi-toggle.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/dot_config/waybar/executable_wifi-toggle.sh b/dot_config/waybar/executable_wifi-toggle.sh
index 68e77ab..2eb27bc 100644
--- a/dot_config/waybar/executable_wifi-toggle.sh
+++ b/dot_config/waybar/executable_wifi-toggle.sh
@@ -14,7 +14,10 @@ device=$(busctl --system --json=short call "$svc" / \
| select(.value["net.connman.iwd.Device"].Name.data == $iface)
| .key')
-[ -n "$device" ] || { notify-send -u critical "wifi" "iwd device $iface not found"; exit 1; }
+[ -n "$device" ] || {
+ notify-send -u critical "wifi" "iwd device $iface not found"
+ exit 1
+}
powered=$(busctl --system --json=short get-property "$svc" "$device" \
net.connman.iwd.Device Powered | jq -r '.data')